AX25IPD(1)

NAME
ax25ipd - AX.25 into IP Encapsulator

SYNOPSIS
ax25ipd [options]

DESCRIPTION

ax25ipd is an RFC1226 compliant daemon capable of providing the encapsualtion neccessary to send and receive AX.25 traffic across an IP transport.

Normally invoked as part of the boot order network initialisation, ax25ipd is capable of talking directly to a serial port connected tnc, or over a pipe to a linux AX.25 port. KAM DE Dual Port Kiss is also supported.

ax25ipd can be run as a pure encapsulator, or as a digital repeater with a functional callsign. Destination IP addresses are determined from a hardcoded map of callsign/IP Address pairs.

ax25ipd defaults to using /etc/ax25/ax25ipd.conf as its config file.

OPTIONS

-v,--version
    Display the version.

-h,--help
    Display a summary of the command line options.

-l,--loglevelNUM
    Set the logging level to NUM.

-c,--configfileFILE
    Use the configuration file named by FILE instead of the default.

-d,--ttydeviceTTYDEV
    Use ttydevice instead of the configured. This is useful because on systems with unix98 PTYs the device is allocated dynamicaly and thus the name is not predictable.

-f,--nofork
    Do not become a daemon. Run in foreground.

FILES
/etc/ax25/ax25ipd.conf

SEE ALSO
ax25ipd.conf(5), ax25(4), kissattach(8).

BUGS
Routing needs to be looked at seriously, the method of routing is a real hack, and improvements to it have only added to the hack.

Logging needs to be properly implemented.

Command line parsing needs to be properly implemented.

ax25ipd should be part of the Linux AX.25 kernel support probably :-)

AUTHORS
Michael Westerhof <Mike.Westerhof@Central.Sun.COM> <invalid address>
Michael Durrant VE3PNX <mdurrant@arcturusnetworks.com>
D. Jeff Dionne VE3DJF <Jeff@lnx_rpi.ee.ryerson.ca>
Rob Mayfield VK5XXX/VK5ZEU <mayfieldrob@mail.dec.com>
Terry Dawson VK2KTJ <terry@animats.net>